2

Can an iOS 7 device (iPad 2 for instance) be synchronized with a PPC Mac with OSX 10.5.8 and the latest iTunes for it, which I believe is iTunes 10.6.3?

5

No, because iOS 7 requires iTunes version 11 for syncing media (and firmware updates).

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .